{
  "schema_version": "1.4.0",
  "id": "GHSA-qv83-77rj-635j",
  "modified": "2022-05-13T01:19:10Z",
  "published": "2022-05-13T01:19:10Z",
  "aliases": [
    "CVE-2018-15471"
  ],
  "details": "An issue was discovered in xenvif_set_hash_mapping in drivers/net/xen-netback/hash.c in the Linux kernel through 4.18.1, as used in Xen through 4.11.x and other products. The Linux netback driver allows frontends to control mapping of requests to request queues. When processing a request to set or change this mapping, some input validation (e.g., for an integer overflow) was missing or flawed, leading to OOB access in hash handling. A malicious or buggy frontend may cause the (usually privileged) backend to make out of bounds memory accesses, potentially resulting in one or more of privilege escalation, Denial of Service (DoS), or information leaks.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-15471"
    },
    {
      "type": "WEB",
      "url": "https://bugs.chromium.org/p/project-zero/issues/detail?id=1607"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2019/03/msg00017.html"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3819-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3820-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3820-2"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3820-3"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4313"
    },
    {
      "type": "WEB",
      "url": "http://xenbits.xen.org/xsa/advisory-270.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-125"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-08-17T18:29:00Z"
  }
}